import Spy = jasmine.Spy;
import { JhiLanguageService } from 'ng-jhipster';

import { SpyObject } from './spyobject';
import { TranslateService } from '@ngx-translate/core';
import { of } from 'rxjs';

export class MockLanguageService extends SpyObject {
  getCurrentLanguageSpy: Spy;

  constructor() {
    super(JhiLanguageService);

    this.getCurrentLanguageSpy = this.spy('getCurrentLanguage').andReturn('en');
  }
}

export class MockTranslateService extends SpyObject {

   public currentLang = "en";
   public onLangChange = of('en');
//   onLangChangeSpy: Spy;

  constructor() {
    super(TranslateService);
//    this.onLangChangeSpy = this.spy('onLangChange').and.returnValue(
//      of('en'));
  }
}
